package com.jiuqi.util;

import java.util.Comparator;

public class PinYinComparator implements Comparator {
   private static final String CS_GB2312 = "GB2312";
   private static final String CS_ISO_8859_1 = "ISO-8859-1";

   public int compare(Object o1, Object o2) {
      try {
         String s1 = new String(o1.toString().getBytes("GB2312"), "ISO-8859-1");
         String s2 = new String(o2.toString().getBytes("GB2312"), "ISO-8859-1");
         return s1.compareTo(s2);
      } catch (Exception var5) {
         Exception e = var5;
         e.printStackTrace();
         return 0;
      }
   }

   public static int compareStr(String os1, String os2) {
      if (os1 != null && os2 != null) {
         try {
            String s1 = new String(os1.toString().getBytes("GB2312"), "ISO-8859-1");
            String s2 = new String(os2.toString().getBytes("GB2312"), "ISO-8859-1");
            return s1.compareTo(s2);
         } catch (Exception var4) {
            return 0;
         }
      } else {
         return os1 == null ? (os2 == null ? 0 : -1) : os1.compareTo(os2);
      }
   }
}
